Focus/Libraries/ExpertPdf-HtmlToPdf-v12.3.0/ExpertPdf-HtmlToPdf-v12.3.0/Samples_NET_4.0/MVC/CS/HtmlToPdfDemo/HtmlToPdfDemo/Controllers/HtmlToPdfController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ExpertPdf.HtmlToPdf;

namespace HtmlToPdfDemo.Controllers
{
    public class HtmlToPdfController : Controller
    {
        //
        // GET: /HtmlToPdf/

        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Convert(FormCollection collection)
        {
            PdfConverter pdfConverter = new PdfConverter();
            string url = collection["TxtUrl"];
            byte[] pdf = pdfConverter.GetPdfBytesFromUrl(url);

            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "RenderedPage.pdf";

            return fileResult;
        }
    }
}

Focus/Libraries/ExpertPdf-HtmlToPdf-v12.3.0/ExpertPdf-HtmlToPdf-v12.3.0/Samples_NET_4.0/MVC/CS/HtmlToPdfDemo/HtmlToPdfDemo/Views/HtmlToPdf/Index.cshtml
@{
    ViewBag.Title = "ExpertPdf Html To Pdf Converter - MVC Demo";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm("Convert", "HtmlToPdf", FormMethod.Post))
{
<img src="~/Content/logo.jpg" runat="server" alt="ExpertPdf" />
<h1>ExpertPdf Html To Pdf Converter - MVC Demo</h1>

<div>
    Url: &nbsp;
    <input type="text" value="http://www.html-to-pdf.net" name="TxtUrl" style="width: 500px;"/>
    &nbsp;
    <input type="submit" name="BtnConvert" value="Export to PDF"/>
</div>    

}

Focus/Libraries/ExpertPdf-HtmlToPdf-v12.3.0/ExpertPdf-HtmlToPdf-v12.3.0/Samples_NET_4.0/MVC/CS/HtmlToPdfDemo/HtmlToPdfDemo/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <title>@ViewBag.Title</title>
    @Styles.Render("~/Content/css")
    @Styles.Render("~/Content/styles.css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    @RenderBody()

    @Scripts.Render("~/bundles/jquery")
    @RenderSection("scripts", required: false)
</body>
</html>